package defaultTheme

import "image/color"
import "git.tebibyte.media/tomo/tomo/theme"
import dataTheme "git.tebibyte.media/tomo/nasin/internal/theme"

// Theme returns Wintergreen, the default Tomo theme. It is neutral-gray with
// green and turquoise accents.
func Theme () theme.Theme {
	return &dataTheme.Theme {
		Colors: map[theme.Color] color.Color {
			theme.ColorBackground: colorBackground,
			theme.ColorForeground: colorForeground,
			theme.ColorRaised:     colorCarved,
			theme.ColorSunken:     colorCarved,
			theme.ColorAccent:     colorFocus,
		},
		Rules: rules,
		IconTheme: &iconTheme { },
	}
}
